Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.signing.type.pgp
[Groovy] Class ArmoredSignatureType

    java.lang.Object
      org.gradle.plugins.signing.type.AbstractSignatureType
          org.gradle.plugins.signing.type.pgp.ArmoredSignatureType

    class ArmoredSignatureType
    extends AbstractSignatureType

Method Summary
`String` | `getExtension()`
`void` | `sign(Signatory signatory, InputStream toSign, OutputStream destination)`

Methods inherited from class AbstractSignatureType
combinedExtension, fileFor, sign, sign

Method Detail

### getExtension

    String getExtension()

### sign

    void sign(Signatory signatory, InputStream toSign, OutputStream destination)

Gradle API 1.10